列出 cloudPcConnections
本文内容
命名空间:microsoft.graph.managedTenants
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取 cloudPcConnection 对象及其属性的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
CloudPC.Read.All、CloudPC.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /tenantRelationships/managedTenants/cloudPcConnections
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应,包括 $apply $count $filter $orderBy $select 、、 $skip 和 $top 。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK cloudPcConnection 对象集合。
示例
请求
GET https://graph.microsoft.com/beta/tenantRelationships/managedTenants/cloudPcConnections
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var cloudPcConnections = await graphClient.TenantRelationships.ManagedTenants.CloudPcConnections
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let cloudPcConnections = await client.api('/tenantRelationships/managedTenants/cloudPcConnections')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/tenantRelationships/managedTenants/cloudPcConnections"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphCloudPcConnection *cloudPcConnection = [[MSGraphCloudPcConnection alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
CloudPcConnectionCollectionPage cloudPcConnections = graphClient.tenantRelationships().managedTenants().cloudPcConnections()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.TenantRelationships().ManagedTenants().CloudPcConnections().Get()
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#tenantRelationships/managedTenants/cloudPcConnections",
"value": [
{
"id": "021bd3a9-59c6-4503-b408-c326a98f238f",
"lastUpdated": "2021-07-11T18:02:16.6450704Z",
"displayName": "RunnerPlus-Az-Connection",
"organizationId": "0b9701e1-f1ae-4f15-bd67-f4f591595454",
"organizationDisplayName": "Terra Firm",
"healthCheckStatus": "Passed",
"tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
"tenantDisplayName": "Fourth Coffee",
"lastRefreshedDateTime": "2021-07-11T18:02:16.6450704Z"
}
]
}